image: conda/miniconda3

conda_build:
  stage: build
  script:
    - conda update --all
    - conda install conda-build git conda-verify
    - mkdir conda-bld
    - conda build -c mosaic . --output-folder conda-bld/
  artifacts:
    paths:
      - conda-bld
  only:
    - master

pages:
  stage: deploy
  script:
  - echo doc
  only:
  - master

anaconda:
  stage: deploy
  script:
  - conda update --all
  - conda install conda-build anaconda-client
  - conda convert -p osx-64 conda-bld/linux-64/tissue2d-* --output-dir conda-bld/
  - conda convert -p win-64 conda-bld/linux-64/tissue2d-* --output-dir conda-bld/
  - anaconda --token=$ANACONDA_TOKEN --verbose upload conda-bld/linux-64/tissue2d-* --user mosaic
  - anaconda --token=$ANACONDA_TOKEN --verbose upload conda-bld/osx-64/tissue2d-* --user mosaic
  - anaconda --token=$ANACONDA_TOKEN --verbose upload conda-bld/win-64/tissue2d-* --user mosaic
  only:
  - master
